Bug 1015946 - (CVE-2013-5915) CVE-2013-5915 polarssl: Information disclosure of RSA private keys
CVE-2013-5915 polarssl: Information disclosure of RSA private keys
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20131001,repor...
: Security
Depends On: 1015947
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-07 01:41 EDT by Ratul Gupta
Modified: 2015-08-19 04:19 EDT (History)
1 user (show)

See Also:
Fixed In Version: polarssl 1.2.9, polarssl 1.3.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ratul Gupta 2013-10-07 01:41:54 EDT
PolarSSL's RSA implementation was found to have a bias in the implementation of Montgomery multiplication. It can be used to mount an attack on RSA key.

Here, a third party can send arbitrary handshake messages to the server. If correctly executed, this attack could reveal the entire private RSA key after a large number of attack messages are sent to show the timing differences.

There is a known workaround to Disable CRT (#define POLARSSL_RSA_NO_CRT) in config.h. The code will be much slower, but unaffected by this attack, but best is to upgrade to either 1.2.9 or 1.3.0.

References:
https://bugs.gentoo.org/show_bug.cgi?id=487170
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2013-5915
https://polarssl.org/tech-updates/security-advisories/polarssl-security-advisory-2013-05
Comment 1 Ratul Gupta 2013-10-07 01:42:38 EDT
Created polarssl tracking bugs for this issue:

Affects: fedora-all [bug 1015947]
Comment 3 Mads Kiilerich 2013-10-08 20:36:03 EDT
All fedora versions already had 1.2.9 in testing when this was filed. It would be nice if your automatic tools were a bit smarter.
Comment 5 Fedora Update System 2014-06-19 18:55:02 EDT
polarssl-1.2.10-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2014-06-19 18:57:40 EDT
polarssl-1.2.10-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.